#include <SD.h>
#define SD_ChipSelectPin 4
#include <TMRpcm.h>
#include <SPI.h>
#include <Adafruit_NeoPixel.h>

#define PIN 6

Adafruit_NeoPixel strip = Adafruit_NeoPixel(16, PIN, NEO_GRB + NEO_KHZ800);

TMRpcm tmrpcm;

int wasPlaying = 0;
int finished = 0;
int start = 0;
int musicIsPlaying = 0;
int valueRed = 0;
int valueGreen = 0;
int valueBlue = 0;
int pixelNumber = 0;

void setup() {
  pinMode(8, INPUT);
  pinMode(7, INPUT);
  pinMode(5, INPUT);
  
  strip.begin();
  strip.setBrightness(30);
  strip.show(); 

  tmrpcm.speakerPin = 9;
  Serial.begin(1200);
  if (!SD.begin(SD_ChipSelectPin)) {
    Serial.println("SD fail");
    return;
  }
  tmrpcm.setVolume(5);
}

void loop() {  
  if( digitalRead(8) != 0){
    if(valueRed < 255){
      valueRed = valueRed + 51;
    }else{
      valueRed = 0;
    }
    
    if(pixelNumber < strip.numPixels()){
      while(pixelNumber < strip.numPixels()){
        strip.setPixelColor(pixelNumber, valueRed, valueGreen, valueBlue);
        pixelNumber++;
      }
    }else{
      pixelNumber = 0;
    }
    
    strip.show(); 
    delay(400);
  }
  
  if( digitalRead(7) != 0){
    if(valueGreen < 255){
      valueGreen = valueGreen + 51;
    }else{
      valueGreen = 0;
    }
    
    if(pixelNumber < strip.numPixels()){
      while(pixelNumber < strip.numPixels()){
        strip.setPixelColor(pixelNumber, valueRed, valueGreen, valueBlue);
        pixelNumber++;
      }
    }else{
      pixelNumber = 0;
    }
    strip.show(); 
    delay(400);
  }
  
  if( digitalRead(5) != 0){
    if(valueBlue < 255){
      valueBlue = valueBlue + 51;
    }else{
      valueBlue = 0;
    }
    
    if(pixelNumber < strip.numPixels()){
      while(pixelNumber < strip.numPixels()){
        strip.setPixelColor(pixelNumber, valueRed, valueGreen, valueBlue);
        pixelNumber++;
      }
    }else{
      pixelNumber = 0;
    }
    
    strip.show(); 
    delay(400);
  }

  playMusic();
}

void playMusic(){
  if(tmrpcm.isPlaying() == 0 && valueBlue == 255 && valueRed == 153 && valueGreen == 255){
    tmrpcm.play("7.wav");
  } else if(valueBlue != 255 || valueRed != 153 || valueGreen != 255){
    tmrpcm.stopPlayback(); 
  }
}
